#include <stdio.h>
#include <stdlib.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <unistd.h>
#include <sys/types.h>

typedef unsigned char byte;

int size = -1;
int offset = -1;
int vaddr = -1;

int statsize = 0;

byte * get_file_data( char * filename, int * file_size ) 
{
        int fd;
        byte * buf;
        struct stat file_stat;

        if( stat( filename, &file_stat ) < 0 ) 
	{
                perror( "Problem statting input file" );
                exit( -1 );
        }

        *file_size = file_stat.st_size;
	statsize = file_stat.st_size;
        buf = malloc( sizeof( byte ) * *file_size );
        if( !buf ) 
	{
                fprintf( stderr, "Could not create a buffer to copy file into" );
                exit( -1 );
        }

        fd = open( filename, O_RDONLY );
        if( fd < 0 ) 
	{
               perror( "Problem opening binary" );
                exit( -1 );
        }

        if( read( fd, buf, *file_size ) < 0 ) 
	{
                perror( "Problem reading binary" );
        }

       close( fd );

        return buf;
}

int main(int argc, char *argv[])
{
        byte *file_data;
        int file_size;
        char *buffer;
        int i, j;
        FILE *fp;
        char data;
	char *files[10], *name = malloc(100), *app;

	strcpy(name, argv[1]);
	offset = atoi(argv[2]);
	size =  atoi(argv[3]);

	buffer = (char*) malloc(size);

        file_data = get_file_data(argv[1], &file_size );
	
        		
	fp = fopen(argv[1], "r+");
			
	fseek(fp, offset, SEEK_CUR);

        fread(buffer, size, 1, fp);

	fclose(fp);
       	fp = fopen("chunk.tar", "wb");
       	fwrite(buffer, size, 1, fp);
		      	
       	fclose(fp);
		
}
