#ifndef _SLHASH
#define SLHASH
#include "sha.h"

#define HASHLEN 20
#define HASHSTRLEN (HASHLEN * 2 + 1)

#define assume(expr) \
    if (!(expr)) { \
    fprintf(stderr, "Assumption %s at %s:%d is false\n", __STRING(expr), \
    __FILE__, __LINE__); abort(); }


#ifndef MIN
#define MIN(a,b) (((a) < (b)) ? (a) : (b))
#endif

#ifndef MAX
#define MAX(a,b) (((a) > (b)) ? (a) : (b))
#endif

extern int chunk(const unsigned char *data, size_t len, int minChunk, int maxChunk);

#endif
