#include <stdio.h>
#include <stdlib.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <unistd.h>
#include <sys/mman.h>
#include <errno.h>

#ifdef HAVE_LIBPUB
#include <publib.h>
#else
#define xmalloc(s) malloc(s)
#endif

#include "slchunk.h"

int
main(
    int	argc,
    char **argv)
{
#define LEN 1024
    char		buffer[LEN];
    u_int64_t		fp;

    memset(buffer, 0x0, LEN);
    fp = fingerprint(buffer, LEN);
    printf("fingerprint of zeros = 0x%llx\n", fp);

    memset(buffer, 0xff, LEN);
    fp = fingerprint(buffer, LEN);
    printf("fingerprint of ones = 0x%llx\n", fp);

    memset(buffer, 0xa, LEN);
    fp = fingerprint(buffer, LEN);
    printf("fingerprint of 0xa = 0x%llx\n", fp);


}
